"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var createPersistStore_1 = require("./createPersistStore");
var getOrCreateAtom_1 = require("./getOrCreateAtom");
describe("getOrCreateAtom", function () {
    it("should use not make a new atom with the same key", function () {
        var store = (0, createPersistStore_1.createPersistStore)({
            key: "foo",
            initialData: null,
        });
        var atom1 = (0, getOrCreateAtom_1.getOrCreateAtom)(store);
        var atom2 = (0, getOrCreateAtom_1.getOrCreateAtom)(store);
        expect(atom1).toBe(atom2);
    });
});
